Summary: A utility for retrieving files using the HTTP or FTP protocols.
Name: wget
Version: 1.6
Release: 2cz1
Copyright: GPL
Group: Applications/Internet
Source: ftp://ftp.gnu.org/gnu/wget/wget-%{version}.tar.gz 
Source2: wget-1.5.3-ko.po
Source3: wget-1.5.3-ja.po
Patch0: wget-1.5.0-man.patch
Patch1: wget-1.6-symlink.patch
Patch2: wget-1.6-locale.patch
Patch3: wget-1.6-escape.patch
Patch4: wget-1.6-nopo.patch
Provides: webclient
Prereq: /sbin/install-info
BuildRoot: /var/tmp/%{name}-root

%description
GNU Wget is a file retrieval utility which can use either the HTTP or
FTP protocols.  Wget features include the ability to work in the
background while you're logged out, recursive retrieval of
directories, file name wildcard matching, remote file timestamp
storage and comparison, use of Rest with FTP servers and Range with
HTTP servers to retrieve files over slow or unstable connections,
support for Proxy servers, and configurability.

Install wget if you need to retrieve large numbers of files with HTTP or
FTP, or if you need a utility for mirroring web sites or FTP directories.

%prep
%setup -q
%patch0 -p1 -b .man
%patch1 -p1 -b .symlink
%patch2 -p1 -b .locale
%patch3 -p1 -b .escape
%patch4 -p1

cp %{SOURCE2} $RPM_BUILD_DIR/wget-%{version}/po/ko.po
cp %{SOURCE3} $RPM_BUILD_DIR/wget-%{version}/po/ja.po

%build
%configure --sysconfdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

perl -pi -e 's/(#header.*=.*Accept-Language.*)/$1\nheader = Accept-Language: cs\nheader = Accept-Charset: iso-8859-2/' \
   $RPM_BUILD_ROOT/etc/wgetrc

%find_lang %name

%post
/sbin/install-info %{_infodir}/wget.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/wget.info.gz %{_infodir}/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS MAILING-LIST NEWS README INSTALL doc/ChangeLog
%config /etc/wgetrc
%{_mandir}/man1/wget.*
%{_bindir}/wget
%{_infodir}/*

%changelog
* Sun Apr 22 2001 Milan Kerslager <kerslage@linux.cz>
- Czech modifications for /etc/wgetrc - header now contain:
  Accept-Language: cs
  Accept-Charset: iso-8859-2

* Tue Jan 30 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Norwegian isn't a iso-8859-2 locale, neither is Danish.
  This fixes #15025.
- langify

* Sat Jan  6 2001 Bill Nottingham <notting@redhat.com>
- escape %xx characters before fnmatch (#23475, patch from alane@geeksrus.net)

* Fri Jan  5 2001 Bill Nottingham <notting@redhat.com>
- update to 1.6, fix patches accordingly (#23412)
- fix symlink patch (#23411)

* Mon Dec 18 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add Japanese and Korean Resources

* Tue Aug  1 2000 Bill Nottingham <notting@redhat.com>
- setlocale for LC_CTYPE too, or else all the translations think their
  characters are unprintable.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- build in new environment

* Mon Jun  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- FHS compliance

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Thu Aug 26 1999 Jeff Johnson <jbj@redhat.com>
- don't permit chmod 777 on symlinks (#4725).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0 tree
- add Provides

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- version 1.5.3

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- updated to 1.5.2

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- modified group to Applications/Networking

* Wed Apr 22 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.5.0
- they removed the man page from the distribution (Duh!) and I added it back
  from 1.4.5. Hey, removing the man page is DUMB!

* Fri Nov 14 1997 Cristian Gafton <gafton@redhat.com>
- first build against glibc
